# Introduction

Earthly is a build automation tool that uses docker containers to enforce build repeatability. Earthly is meant to be run on your local system and in your CI. Earthly's implicit caching and parallelism will make your builds repeatable and fast.

This tutorial will walk you through a basic example of using Earthly.

* **Introduction** <-- You are here.
* [Part 1: A simple Earthfile](./part-1-a-simple-earthfile.md)
* [Part 1b: Detailed explanation](./part-1b-detailed-explanation.md)
* [Part 2: Running the build](./part-2-running-the-build.md)
* [Part 3: Adding dependencies](./part-3-adding-dependencies.md)
* [Part 4: Caching dependencies](./part-4-caching-dependencies.md)
* [Part 5: Reducing code duplication](./part-5-reducing-code-duplication.md)
* [Final words](./final-words.md)

## Installation

We recommend you install Earthly on your computer, so you can follow along and try the examples. See the [installation instructions](https://earthly.dev/get-earthly).

## Questions & Feedback

If you have any questions, feedback or suggestions for Earthly or this tutorial feel free to reach out to us on our [Slack community](https://earthly.dev/slack) or open a [GitHub issue](https://github.com/earthly/earthly/issues). Earthly is free and open and we love and appreciate feedback and contributions from the community!

## Get Started with Earthly

We will start the first lesson with a simple Earthfile.

👉 [Part 1: A simple Earthfile](./part-1-a-simple-earthfile.md)
